git.99rst.org
/
openwrt-packages.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
| inline |
side by side
(parent:
e2ffeca
)
python-pyserial: add version check override
author
George Sapkin
<redacted>
Mon, 11 May 2026 19:49:42 +0000
(22:49 +0300)
committer
George Sapkin
<redacted>
Sun, 17 May 2026 11:35:31 +0000
(14:35 +0300)
Skip version checks as none of the executables seem to report their
versions.
Signed-off-by: George Sapkin <redacted>
lang/python/python-pyserial/test-version.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/lang/python/python-pyserial/test-version.sh
b/lang/python/python-pyserial/test-version.sh
new file mode 100755
(executable)
index 0000000..
54624c5
--- /dev/null
+++ b/
lang/python/python-pyserial/test-version.sh
@@ -0,0
+1,15
@@
+#!/bin/sh
+
+# shellckeck shell=busybox
+
+case "$PKG_NAME" in
+python3-pyserial|\
+python3-pyserial-src)
+ exit 0
+ ;;
+
+*)
+ echo "Untested package: $PKG_NAME" >&2
+ exit 1
+ ;;
+esac
git clone https://git.99rst.org/PROJECT